package database

type Service struct {
	Category       string                 `json:"category"`
	CollectionID   string                 `json:"collectionId"`
	CollectionName string                 `json:"collectionName"`
	Comments       []string               `json:"comments"`
	Created        string                 `json:"created"`
	Description    string                 `json:"description"`
	Expand         map[string][]Attribute `json:"expand"`
	Attributes     []string               `json:"attributes"`
	ID             string                 `json:"id"`
	KycLevel       int                    `json:"kyc_level"`
	Listed         bool                   `json:"listed"`
	LogoURL        string                 `json:"logo_url"`
	Name           string                 `json:"name"`
	OnionUrls      []string               `json:"onion_urls"`
	Pending        bool                   `json:"pending"`
	Score          int                    `json:"score"`
	Tags           []string               `json:"tags"`
	TosReviews     []TosReview            `json:"tos_reviews"`
	LastTosReview  string                 `json:"last_tos_review"`
	TosUrls        []string               `json:"tos_urls"`
	Type           string                 `json:"type"`
	Referral       string                 `json:"referral"`
	Updated        string                 `json:"updated"`
	Urls           []string               `json:"urls"`
	Verified       bool                   `json:"verified"`
	Xmr            bool                   `json:"xmr"`
	Btc            bool                   `json:"btc"`
	Fiat           bool                   `json:"fiat"`
	Cash           bool                   `json:"cash"`
	Lightning      bool                   `json:"lightning"`
}

type TosReview struct {
	Title     string `json:"title"`
	Details   string `json:"details"`
	Section   string `json:"section"`
	Warning   bool   `json:"warning"`
	Reference string `json:"reference"`
}

type Attribute struct {
	CollectionID   string `json:"collectionId"`
	CollectionName string `json:"collectionName"`
	Created        string `json:"created"`
	Description    string `json:"description"`
	ID             string `json:"id"`
	Rating         string `json:"rating"`
	Title          string `json:"title"`
	Updated        string `json:"updated"`
}

type Announcement struct {
	Title   string
	Body    string
	Link    string
	Warning bool
	Active  bool
}
